Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05377 Sound Major Always Nov 21, 2013, 22:39 Aug 23, 2015, 21:17
Tester Tafoid View Status Public Platform MAME (Official Binary)
Assigned To crazyc Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver leland.cpp
Version 0.151 Fixed in Version 0.165 Build 64-bit
Summary 05377: All sets in leland.c: DAC sounds differently between 32-bit and 64-bit
Description The Leland i186-based DAC has been shown to be different between 32-bit builds and 64-bit builds.
The best example of difference is comparing "aafb", using the whistle sound..
Steps To Reproduce
Additional Information Suspect r24963:
i186: move 80186 peripherals into the cpu [Carl]
leland: finish modernizing the leland sound and use new 80186 [Carl]
Flags 64-bit specific
Regression Version 0.150
Affected Sets / Systems All sets in leland.c
Attached Files
ogg file icon off32.ogg (231,525 bytes) Aug 14, 2014, 15:14 Uploaded by hap
ogg file icon off64.ogg (232,714 bytes) Aug 14, 2014, 15:15 Uploaded by hap
Relationships
related to 05435Resolvedcrazyc offroad, offroadt, possibly others: Audio in offroad, offroadt sounds horrible 
has duplicate 05709Closed pigout: oink sound barely audible 
Notes
6
User avatar
No.10916
hap
Developer
Aug 12, 2014, 22:45
confirmed that regression is r24963
User avatar
No.10928
hap
Developer
Aug 14, 2014, 15:10
edited on: Aug 14, 2014, 15:17
the problem is likely in emu/machine/pit8253. Looks something like, on 64bit, PIT timers do 2 ticks when they're supposed to do 1, causing music/sound pitch to be too high.

Does this bug happen on newer versions of MINGW64/GCC too?
Attached to this bugreport are examples of romset "offroad" title music:
- off32.ogg: official 32bit Windows binary MAME 0.154 wavwrite
- off64.ogg: 64bit Windows binary MAME wavwrite

User avatar
No.10943
haynor666
Tester
Aug 21, 2014, 22:10
edited on: Aug 21, 2014, 22:13
Additionally there is no sound in Danger Zone but it was in version 149. Since 150 even 32bit build lacks sound in this game.

User avatar
No.10944
Osso
Developer
Aug 22, 2014, 10:28
Nice catch about Danger Zone. It regressed with r24963, but it's a different problem. Will committ a fix later.
User avatar
No.10945
Osso
Developer
Aug 22, 2014, 17:34
edited on: Aug 22, 2014, 17:39
Ok, the fix for dangerz is in SVN.

User avatar
No.11985
crazyc
Developer
Aug 23, 2015, 21:17
It looks the PIT was triggering twice. I haven't been able to tell why it only effected 64bit mode though.